<template>
  <h1>${message}</h1>

  <form>
      <div>
        <div>
          <label for="dia">Dia Lançamento: </label>
          <input type="date" name="dia" id="id-dia" value.bind="dia">
        </div>
        <div>
          <label>Tipo: </label>
          <select value.bind="tipo">
            <option value="" disabled>Choose...</option>
            <option repeat.for="tipoT of tiposLancamentos" value.bind="tipoT">${tipoT}</option>
          </select><br>
        </div>
        <div>
          <label for="valor">Valor: </label>
          <input type="number" name="valor" step=".01" id="id-valor" value.bind="valor">
        </div>
        <div>
          <label for="conta">Conta: </label>
          <select value.bind="conta">
            <option model.bind="null" disabled>Choose...</option>
            <option repeat.for="contaT of contas" model.bind="contaT">${contaT.nome}</option>
          </select>
        </div>
      </div>
      <div>
        <button click.delegate="save()">Salvar</button>
      </div>
    </form>

    <a route-href="route: lancamentos">
      <button>Listagem de lançamentos</button>
    </a>
  
</template>
